org.apache.sqoop.lib

## Class RecordParser.ParseError

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.sqoop.lib.RecordParser.ParseError

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    RecordParser.ParseError
  Enclosing class:
    RecordParser

      public static class RecordParser.ParseError
      extends java.lang.Exception

  An error thrown when parsing fails.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RecordParser.ParseError()`
    `RecordParser.ParseError(java.lang.String msg)`
    `RecordParser.ParseError(java.lang.String msg, java.lang.Throwable cause)`
    `RecordParser.ParseError(java.lang.Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RecordParser.ParseError

          public RecordParser.ParseError()

    - #### RecordParser.ParseError

          public RecordParser.ParseError(java.lang.String msg)

    - #### RecordParser.ParseError

          public RecordParser.ParseError(java.lang.String msg,
                                 java.lang.Throwable cause)

    - #### RecordParser.ParseError

          public RecordParser.ParseError(java.lang.Throwable cause)

Copyright © 2015 The Apache Software Foundation